Update tenant http transport configuration
Update http transport configuration for a tenant
Required permissions: WEBHOOK
put/tenants/{tenantUid}/httptransports/{httpTransportUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+httpTransportUidstringRequiredPattern:
Reference to a Http Transport.
^[A-Za-z0-9-_]+Body
Transport Request Schema
namestringRequired
passwordstringOptional
securityTypestring · enumRequiredPossible values:
tokenstringOptional
urlstringRequired
usernamestringOptional
Responses
200
Transport response
application/json
Transport Response Schema
namestringRequired
passwordstringRequired
securityTypestring · enumRequiredPossible values:
tokenstringRequired
httpTransportUidstringRequiredPattern:
^[A-Za-z0-9-_]+urlstringRequired
usernamestringRequired
put/tenants/{tenantUid}/httptransports/{httpTransportUid}
PUT /v2/tenants/{tenantUid}/httptransports/{httpTransportUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 143
{
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"url": "text",
"username": "text"
}200
Transport response
{
"headers": [
{
"key": "text",
"value": "text"
}
],
"name": "text",
"password": "text",
"securityType": "NONE",
"token": "text",
"httpTransportUid": "text",
"url": "text",
"username": "text"
}PreviousGet http transport configuration details
NextDelete a http transport configuration from a tenant
Last updated
Was this helpful?

